Bug 178430 - devel/pecl-uploadprogress contains DEFAULT_PHP_VER=53
Summary: devel/pecl-uploadprogress contains DEFAULT_PHP_VER=53
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-08 21:10 UTC by Adam McDougall
Modified: 2013-05-10 17:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adam McDougall 2013-05-08 21:10:00 UTC
On 5/17/2012 11:18 AM, Martin Wilke wrote:
> miwi        2012-05-17 15:18:41 UTC
>
>    FreeBSD ports repository
>
>    Modified files:
>      devel/pecl-uploadprogress Makefile distinfo
>    Log:
>    - Update to 1.0.2
>       Revision  Changes    Path
>    1.9       +2 -1      ports/devel/pecl-uploadprogress/Makefile
>    1.8       +2 -2      ports/devel/pecl-uploadprogress/distinfo
> _______________________________________________

Contained:
 PORTNAME=    uploadprogress
-PORTVERSION=    1.0.1
+PORTVERSION=    1.0.2
 CATEGORIES=    devel pear
..
 IGNORE_WITH_PHP=4
+DEFAULT_PHP_VER=53

Was the DEFAULT_PHP_VER=53 unintentional?  A later patch was supposed to make it work on 54, and as far as I can tell it still works on 52, but that variable isn't even override-able.  We are stuck with 5.2 for now so I've been commenting out DEFAULT_PHP_VER but I'd like this fixed if it is unintentional.  Thanks.

Fix: 

Remove DEFAULT_PHP_VER=53
Comment 1 Edwin Groothuis freebsd_committer 2013-05-08 21:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-05-10 16:54:56 UTC
Author: miwi
Date: Fri May 10 15:54:48 2013
New Revision: 317822
URL: http://svnweb.freebsd.org/changeset/ports/317822

Log:
  - Let it work with php5X
  
  PR:		178430
  Submitted by:	Adam McDougall <mcdouga9@egr.msu.edu>

Modified:
  head/devel/pecl-uploadprogress/Makefile   (contents, props changed)

Modified: head/devel/pecl-uploadprogress/Makefile
==============================================================================
--- head/devel/pecl-uploadprogress/Makefile	Fri May 10 15:48:16 2013	(r317821)
+++ head/devel/pecl-uploadprogress/Makefile	Fri May 10 15:54:48 2013	(r317822)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	pecl-uploadprogress
-# Date created:			2006/12/06
-# Whom:				chinsan
-#
+# Created by: chinsan
 # $FreeBSD$
-#
 
 PORTNAME=	uploadprogress
 PORTVERSION=	1.0.2
@@ -19,7 +15,6 @@ COMMENT=	Provides track progress of a fi
 USE_PHP=	yes
 USE_PHPEXT=	yes
 IGNORE_WITH_PHP=4
-DEFAULT_PHP_VER=53
 
 CONFIGURE_ARGS=	--enable-uploadprogress
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2013-05-10 16:55:01 UTC
State Changed
From-To: open->closed

Committed. Thanks!